
From: Dominik Brodowski <linux@dominikbrodowski.de>

From: Randy Dunlap <rddunlap@osdl.org>

tcic: eliminate deprecated check_region();

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Dominik Brodowski <linux@brodo.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pcmcia/tcic.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

diff -puN drivers/pcmcia/tcic.c~pcmcia-tcic-eleminate-deprecated-check_region drivers/pcmcia/tcic.c
--- 25/drivers/pcmcia/tcic.c~pcmcia-tcic-eleminate-deprecated-check_region	Wed Jan 19 15:47:59 2005
+++ 25-akpm/drivers/pcmcia/tcic.c	Wed Jan 19 15:47:59 2005
@@ -344,10 +344,14 @@ static int __init is_active(int s)
 
     if ((sstat & TCIC_SSTAT_CD) && (pwr & TCIC_PWR_VCC(s)) &&
 	(scf1 & TCIC_SCF1_IOSTS) && (ioctl & TCIC_ICTL_ENA) &&
-	(check_region(base, num) != 0) && ((base & 0xfeef) != 0x02e8))
-	return 1;
-    else
-	return 0;
+	((base & 0xfeef) != 0x02e8)) {
+	struct resource *res = request_region(base, num, "tcic-2");
+	if (!res) /* region is busy */
+	    return 1;
+	release_region(base, num);
+    }
+
+    return 0;
 }
 
 /*======================================================================
_
